# QGraphicsSceneMoveEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QGraphicsSceneEvent.

### Constructor

- void QGraphicsSceneMoveEvent()

### Constructor Properties

- prototype: The QGraphicsSceneMoveEvent prototype object

### Prototype Object Properties

The QGraphicsSceneMoveEvent prototype object inherits properties from the QGraphicsSceneEvent prototype object and also has the following properties.

- QPointF newPos()
- QPointF oldPos()
- void setNewPos(QPointF pos)
- void setOldPos(QPointF pos)

### Instance Properties

QGraphicsSceneMoveEvent objects have no special properties beyond those inherited from the QGraphicsSceneMoveEvent prototype object.